%define realname umbrello

Name: kde-sdk-umbrello
Summary:  UML Modeller
Version: 15.04.3
Group: Graphical desktop/KDE4
Release: %mkrel 1
License: GPLv2 and LGPLv2 and GFDL
Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/%{realname}-%{version}.tar.xz

BuildRequires: kde-pimlibs-devel
BuildRequires: pkgconfig(libxslt)
Provides:	umbrello
Obsoletes: 	kde-sdk-help
Obsoletes:	kde-sdk-kmtrace
Obsoletes:	kde-sdk-kuiviewer 
Obsoletes:	kde-sdk-scripts 
Obsoletes:	kde-sdk-strigi-analyzer 
Obsoletes:	kde-sdk-devel

%description
Umbrello UML Modeller is a UML diagramming tool for KDE.

%files
%_kde_bindir/umbrello
%_kde_datadir/applications/kde4/umbrello.desktop
%dir %_kde_appsdir/umbrello/
%_kde_appsdir/umbrello/*
%_kde_iconsdir/*/*/*/umbrello*
%_kde_iconsdir/*/*/mimetypes/application-x-uml.png
%_kde_docdir/*/*/umbrello

%_kde_bindir/po2xmi
%_kde_bindir/xmi2pot
   
#------------------------------------------------------------------------------

%prep
%setup -q -n %{realname}-%{version}

%build
export LD=/usr/bin/ld.gold
%cmake_kde4 -DKDE4_ENABLE_FINAL=OFF
%make

%install
rm -fr %buildroot
%makeinstall_std -C build

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-MoreApplications-Development-Tools" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications/kde4 $RPM_BUILD_ROOT%{_datadir}/applications/kde4/umbrello.desktop


%changelog
* Tue Jul 21 2015 pp <pp> 15.04.3-1pclos2015
- update

* Sat Apr 18 2015 pinoc <vogtpet at gmail.com> 15.04.0-1pclos2015
- 15.04.0

* Mon Mar 09 2015 bb <bb> 14.12.3-1pclos2015
- update

* Thu Nov 13 2014 pinoc <vogtpet at gmail.com> 4.14.3-1pclos2014
- 4.14.3

* Tue Jul 15 2014 pinoc <vogtpet at gmail.com> 4.13.3-1pclos2014
- 4.13.3
